---
version: "2.1"
services:
  tvheadend:
    image: lscr.io/linuxserver/tvheadend:latest
    container_name: tvheadend
    environment:
      - PUID=1000
      - PGID=1000
      - TZ=Europe/Madrid
    volumes:
      - ./config:/config
      - ./recordings:/recordings
      - ./movistar/:/opt/movistar
      - ./epggrabber/tv_grab_EPG_dobleM:/usr/bin/tv_grab_EPG_dobleM
    ports:
      - 9981:9981
      - 9982:9982
    restart: unless-stopped

  tvhproxy:
    build: tvhProxy
    container_name: tvhproxy
    ports:
      - 5004:5004
    environment:
      - TVH_URL=${TVH_URL}
      - TVH_TUNER_COUNT=${TVH_TUNER_COUNT}
      - TVH_PROXY_HOST=${TVH_PROXY_HOST}

networks:
  tvheadend_default:
    name: tvheadend_default
